Bug 197990 - x11/kde4-workspace: crash of plasma-desktop due to GLIBCXX_3.4.15 version not found
Summary: x11/kde4-workspace: crash of plasma-desktop due to GLIBCXX_3.4.15 version not...
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-24 13:56 UTC by Arrigo Marchiori
Modified: 2016-07-13 19:13 UTC (History)
2 users (show)

See Also:


Attachments
Beginning of the build log for x11/kde4-workspace (63.30 KB, text/plain)
2015-02-25 08:26 UTC, Arrigo Marchiori
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arrigo Marchiori 2015-02-24 13:56:02 UTC
I am experiencing random crashes of the KDE Plasma desktop.
The crashes happen when I add, move or rename a file that is displayed in a "Folder view" on my desktop. The moment I right-click the icon, Plasma crashes.
Unfortunately, this does not happen every time.

The relevant lines from the file ~/.xsession-errors seem to be:

Could not load '/usr/local/lib/strigi/strigita_font.so':/usr/lib/libstdc++.so.6: version GLIBCXX_3.4.15 required by /usr/local/lib/strigi/strigita_font.so not found
KCrash: Attempting to start /usr/local/bin/plasma-desktop from kdeinit

$ svn info /usr/ports/x11/kde4-workspace/ | grep Revision
Revisione: 379645

$ cat /var/db/ports/x11_kde4-workspace/options 
# This file is auto-generated by 'make config'.
# Options for kde-workspace-4.11.9_2
_OPTIONS_READ=kde-workspace-4.11.9_2
_FILE_COMPLETE_OPTIONS_LIST=GLES GPS KACTIVITY UPOWER WALLPAPERS GSTREAMER VLC PYTHON RUBY
OPTIONS_FILE_SET+=GLES
OPTIONS_FILE_UNSET+=GPS
OPTIONS_FILE_SET+=KACTIVITY
OPTIONS_FILE_SET+=UPOWER
OPTIONS_FILE_SET+=WALLPAPERS
OPTIONS_FILE_SET+=GSTREAMER
OPTIONS_FILE_UNSET+=VLC
OPTIONS_FILE_UNSET+=PYTHON
OPTIONS_FILE_UNSET+=RUBY

$ uname -a
FreeBSD myhost 9.3-STABLE FreeBSD 9.3-STABLE #108 r279200M: Mon Feb 23 09:41:19 CET 2015     root@myhost:/usr/obj/usr/src/sys/GENERIC  i386
Comment 1 Bugzilla Automation freebsd_committer 2015-02-24 13:56:02 UTC
Auto-assigned to maintainer kde@FreeBSD.org
Comment 2 Arrigo Marchiori 2015-02-24 13:59:50 UTC
More information on my system:

$ cat /etc/make.conf | grep -v '^#' | grep -v '^$'
WITH_PKGNG=yes
CPUTYPE?=athlon64
CFLAGS= -O2 -fno-strict-aliasing -pipe
COPTFLAGS= -O -pipe
BOOTWAIT=2000
SVN_UPDATE=yes
DOC_LANG=       en_US.ISO8859-1
LOCALIZED_LANG=it
WITH_WIDE_CHARS=yes
QT4_OPTIONS= CUPS
WITH_GALLIUM=yes
PORTS_MODULES=emulators/virtualbox-ose-kmod
OVERRIDE_LINUX_BASE_PORT=c6
OVERRIDE_LINUX_NONBASE_PORTS=c6

$ cat /etc/src.conf
WITHOUT_LPR=1
Comment 3 Raphael Kubo da Costa freebsd_committer 2015-02-24 23:01:09 UTC
What compiler is being used to build kde-workspace? "version GLIBCXX_NNN not found" sounds like a mismatch between the standard library used to build one or more ports and the ones used at runtime.
Comment 4 Arrigo Marchiori 2015-02-25 08:25:35 UTC
Hello Raphael,

I believe the compiler is gcc48, as you can see from the beginning of the build log, that I am attaching.

I think I did not specify the compiler anywhere; it should be chosen automatically.
Comment 5 Arrigo Marchiori 2015-02-25 08:26:16 UTC
Created attachment 153509 [details]
Beginning of the build log for x11/kde4-workspace
Comment 6 groot 2016-07-13 17:14:32 UTC
This is with an older version of Qt than current ports, and a (much) older version of KDE4 than current ports. Since gcc is no longer used for building the KDE ports (except on 9.3, which is going away shortly) I think this PR can be closed as "overcome by events" (although, sorry Arrigo, it is also "waited too long to be able to do anything useful for you anymore").

Adding tcb to CC to close.
Comment 7 Tobias C. Berner freebsd_committer 2016-07-13 19:13:45 UTC
Please let us know if you still experience problems with the current kde4 ports.

Thanks.